package business;

import static org.junit.Assert.assertEquals;

import org.junit.Test;


public class AlunoTestCase {
	
	Aluno aluno = new Aluno();

	@Test
	public void testGetPerfil() {
		assertEquals("aluno", aluno.getPerfil());
	}

	@Test
	public void testSetDataNasc() {
		String data = "dd/mm/yy";
		aluno.setDataNasc(data);
		assertEquals(data, aluno.getDataNasc());
	}

	@Test
	public void testSetProfessor() {
		Professor professor = PreencheProfessor.getProfessor1();
		aluno.setProfessor(professor);
		
		assertEquals(professor.getId(), aluno.getProfessor().getId());
		assertEquals(professor.getMatricula(), aluno.getProfessor().getMatricula());
		assertEquals(professor.getNome(), aluno.getProfessor().getNome());
		assertEquals(professor.getPerfil(), aluno.getProfessor().getPerfil());
		assertEquals(professor.getTitulacao(), aluno.getProfessor().getTitulacao());
		
		Usuario original = professor.getUsuarios().get(0), copia = aluno.getProfessor().getUsuarios().get(0);
		
		assertEquals(original.getId(), copia.getId());
		assertEquals(original.getIdPessoa(), copia.getIdPessoa());
		assertEquals(original.getPerfil(), copia.getPerfil());
		assertEquals(original.getSenha(), copia.getSenha());
		assertEquals(original.getUserId(), copia.getUserId());
	}
}
